package com.ruoyi.system.domain.score;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 成绩_子对象 score_data_details
 * 
 * @author boman
 * @date 2023-07-20
 */
public class ScoreDataDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 成绩表_子表id */
    private Long scoreDetailsId;

    /** 成绩表id */
    @Excel(name = "成绩表id")
    private Long scoreId;

    /** 排序 */
    @Excel(name = "排序")
    private String scoreSort;

    /** 姓名 */
    @Excel(name = "姓名")
    private String scoreDataName;
    @Excel(name = "姓名id")
    private String scoreDataNameId;

    /** 语文 */
    @Excel(name = "语文")
    private String yuwen;

    /** 数学 */
    @Excel(name = "数学")
    private String shuxue;

    /** 英语 */
    @Excel(name = "英语")
    private String yingyu;

    /** 物理 */
    @Excel(name = "物理")
    private String wuli;

    /** 化学 */
    @Excel(name = "化学")
    private String huaxue;

    /** 生物 */
    @Excel(name = "生物")
    private String shengwu;

    /** 政治 */
    @Excel(name = "政治")
    private String zhengzhi;

    /** 历史 */
    @Excel(name = "历史")
    private String lishi;

    /** 地理 */
    @Excel(name = "地理")
    private String dili;

    /** 体育 */
    @Excel(name = "体育")
    private String tiyu;

    /** 文综 */
    @Excel(name = "文综")
    private String wenzong;

    /** 理综 */
    @Excel(name = "理综")
    private String lizong;

    /** 政策分 */
    @Excel(name = "政策分")
    private String zhengcefen;
    /**
     * 总分
     */
    private Integer zongfen;
    /**
     * 是否查看
     */
    private String detailsType;

    public Integer getZongfen() {
        return zongfen;
    }

    public void setZongfen(Integer zongfen) {
        this.zongfen = zongfen;
    }

    public String getDetailsType() {
        return detailsType;
    }

    public void setDetailsType(String detailsType) {
        this.detailsType = detailsType;
    }

    public String getScoreDataNameId() {
        return scoreDataNameId;
    }

    public void setScoreDataNameId(String scoreDataNameId) {
        this.scoreDataNameId = scoreDataNameId;
    }

    public void setScoreDetailsId(Long scoreDetailsId)
    {
        this.scoreDetailsId = scoreDetailsId;
    }

    public Long getScoreDetailsId() 
    {
        return scoreDetailsId;
    }
    public void setScoreId(Long scoreId) 
    {
        this.scoreId = scoreId;
    }

    public Long getScoreId() 
    {
        return scoreId;
    }
    public void setScoreSort(String scoreSort) 
    {
        this.scoreSort = scoreSort;
    }

    public String getScoreSort() 
    {
        return scoreSort;
    }
    public void setScoreDataName(String scoreDataName) 
    {
        this.scoreDataName = scoreDataName;
    }

    public String getScoreDataName() 
    {
        return scoreDataName;
    }
    public void setYuwen(String yuwen) 
    {
        this.yuwen = yuwen;
    }

    public String getYuwen() 
    {
        return yuwen;
    }
    public void setShuxue(String shuxue) 
    {
        this.shuxue = shuxue;
    }

    public String getShuxue() 
    {
        return shuxue;
    }
    public void setYingyu(String yingyu) 
    {
        this.yingyu = yingyu;
    }

    public String getYingyu() 
    {
        return yingyu;
    }
    public void setWuli(String wuli) 
    {
        this.wuli = wuli;
    }

    public String getWuli() 
    {
        return wuli;
    }
    public void setHuaxue(String huaxue) 
    {
        this.huaxue = huaxue;
    }

    public String getHuaxue() 
    {
        return huaxue;
    }
    public void setShengwu(String shengwu) 
    {
        this.shengwu = shengwu;
    }

    public String getShengwu() 
    {
        return shengwu;
    }
    public void setZhengzhi(String zhengzhi) 
    {
        this.zhengzhi = zhengzhi;
    }

    public String getZhengzhi() 
    {
        return zhengzhi;
    }
    public void setLishi(String lishi) 
    {
        this.lishi = lishi;
    }

    public String getLishi() 
    {
        return lishi;
    }
    public void setDili(String dili) 
    {
        this.dili = dili;
    }

    public String getDili() 
    {
        return dili;
    }
    public void setTiyu(String tiyu) 
    {
        this.tiyu = tiyu;
    }

    public String getTiyu() 
    {
        return tiyu;
    }
    public void setWenzong(String wenzong) 
    {
        this.wenzong = wenzong;
    }

    public String getWenzong() 
    {
        return wenzong;
    }
    public void setLizong(String lizong) 
    {
        this.lizong = lizong;
    }

    public String getLizong() 
    {
        return lizong;
    }
    public void setZhengcefen(String zhengcefen) 
    {
        this.zhengcefen = zhengcefen;
    }

    public String getZhengcefen() 
    {
        return zhengcefen;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("scoreDetailsId", getScoreDetailsId())
            .append("scoreId", getScoreId())
            .append("scoreSort", getScoreSort())
            .append("scoreDataName", getScoreDataName())
            .append("yuwen", getYuwen())
            .append("shuxue", getShuxue())
            .append("yingyu", getYingyu())
            .append("wuli", getWuli())
            .append("huaxue", getHuaxue())
            .append("shengwu", getShengwu())
            .append("zhengzhi", getZhengzhi())
            .append("lishi", getLishi())
            .append("dili", getDili())
            .append("tiyu", getTiyu())
            .append("wenzong", getWenzong())
            .append("lizong", getLizong())
            .append("zhengcefen", getZhengcefen())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
